POST /v2/api/pricats/products/batch

Upserts pricat sku rows for a given pricat.

application/json

Body Required

Pricat info and array of pricat sku upsert requests

  • items array[object] Required
    Hide items attributes Show items attributes object
    • brand string

      Product brand.

    • category string

      Product category.

    • color string

      Product color.

    • costPrice number

      Cost price of the row.

    • costPriceCurrency string

      Currency code for cost price.

    • ean string

      EAN of the product row.

    • gender string

      Product gender.

    • imageUrl string

      Product image URL.

    • info object

      Any additional JSON payload.

    • pricatExternalId string

      External ID of the pricat.

    • price number

      Sales price of the row.

    • priceCurrency string

      Currency code for sales price.

    • productGroupId string

      Group ID of the product.

    • productName string

      Name of the product.

    • season string

      Season used when building the key for versioned SKUs.

    • size string

      Product size.

    • sku string

      SKU of the product row.

    • supplier string

      Product supplier.

    • supplierGln string

      Supplier GLN.

    • variantGroupId string

      Group ID of the variant.

    • variantName string

      Name of the variant.

    • vat number

      VAT percentage.

  • pricat object Required
    Hide pricat attributes Show pricat attributes object
    • externalId string
    • name string
    • supplierGln string
    • supplierName string

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • message string
    • reference string
    • referenceField string
    • statusCode integer
  • 400 application/json

    Bad request - invalid input

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
  • default application/json

    All errors will return the same object with a describing code & message

    Hide response attributes Show response attributes object
    • message string
    • reference string
    • referenceField string
    • statusCode integer
POST /v2/api/pricats/products/batch
curl \
 --request POST 'https://api.maddenanalytics.com/v2/api/pricats/products/batch' \
 --header "Content-Type: application/json" \
 --data '{"items":[{"brand":"Sample Brand","category":"Tops","color":"Black","costPrice":199,"costPriceCurrency":"SEK","ean":"7350000000001","gender":"Unisex","imageUrl":"https://cdn.example.com/img.jpg","info":{},"pricatExternalId":"SPRING_2026","price":499,"priceCurrency":"SEK","productGroupId":"PG-100","productName":"Classic Tee","season":"SS26","size":"M","sku":"SKU-1234","supplier":"Main Supplier","supplierGln":"1234567890123","variantGroupId":"VG-100","variantName":"Classic Tee Black","vat":25}],"pricat":{"externalId":"SPRING_2026","name":"Spring 2026","supplierGln":"1234567890123","supplierName":"Acme Supplier"}}'
Request examples
{
  "items": [
    {
      "brand": "Sample Brand",
      "category": "Tops",
      "color": "Black",
      "costPrice": 199,
      "costPriceCurrency": "SEK",
      "ean": "7350000000001",
      "gender": "Unisex",
      "imageUrl": "https://cdn.example.com/img.jpg",
      "info": {},
      "pricatExternalId": "SPRING_2026",
      "price": 499,
      "priceCurrency": "SEK",
      "productGroupId": "PG-100",
      "productName": "Classic Tee",
      "season": "SS26",
      "size": "M",
      "sku": "SKU-1234",
      "supplier": "Main Supplier",
      "supplierGln": "1234567890123",
      "variantGroupId": "VG-100",
      "variantName": "Classic Tee Black",
      "vat": 25
    }
  ],
  "pricat": {
    "externalId": "SPRING_2026",
    "name": "Spring 2026",
    "supplierGln": "1234567890123",
    "supplierName": "Acme Supplier"
  }
}
Response examples (200)
[
  {
    "message": "Missing BrandName",
    "reference": "123456-001-43",
    "referenceField": "key",
    "statusCode": 400
  }
]
Response examples (400)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}
Response examples (default)
[
  {
    "message": "Missing BrandName",
    "reference": "123456-001-43",
    "referenceField": "key",
    "statusCode": 400
  }
]